stages:
    - .pre
    - build
    - test

build website:
    image: node:20-alpine
    stage: build
    script:
       - npm install
       - npm run build
    artifacts:
        paths:
            - build

linter:
    image: node:20-alpine
    stage: .pre
    script:
       - npm install
       - npm install lint

test website:
    image: alpine
    stage: test
    script:
        - test -f build/index.html


unit tests:
    image: node:20-alpine
    stage: .pre
    script:
       - npm install
       - npm run test